ATMEL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - u -

- U16 : compiler.h
- U32 : compiler.h
- U8 : compiler.h
- U8_BPB_NumFATs : fat.h
- U8_BPB_SecPerClus : fat.h
- u8_data3 : fat.c
- u8_data4 : fat.c
- u8_ext_buffer : ushell_task.c
- Uart_ack_rx_byte : uart_drv.h
- UART_CONFIG : uart_lib.h
- Uart_disable_it_rx : uart_drv.h
- Uart_double_bdr : uart_bdr.h
- Uart_enable : uart_drv.h
- Uart_enable_it_rx : uart_drv.h
- Uart_enable_it_tx : uart_drv.h
- Uart_get_byte : uart_drv.h
- uart_getchar() : uart_lib.c , uart_lib.h
- Uart_hw_init : uart_drv.h
- uart_init() : uart_lib.c , uart_lib.h
- uart_putchar : config.h , uart_lib.c , uart_lib.h
- Uart_rx_ready : uart_drv.h
- Uart_send_byte : uart_drv.h
- Uart_set_baudrate : uart_bdr.h
- Uart_set_tx_busy : uart_drv.h
- uart_test_hit() : uart_lib.c , uart_lib.h
- Uart_tx_ready : uart_drv.h
- UART_U2 : config.h
- Uchar : compiler.h
- Uint16 : compiler.h
- Uint32 : compiler.h
- Uint8 : compiler.h
- UNCOMPLETE_READ_POS : usb_host_enum.h
- unfreeze_user_periodic_pipe() : usb_host_enum.c , usb_host_enum.h
- UNICODE : fs_com.h
- UNICODENAME_FILE_SETTING : conf_explorer.h
- Upper : compiler.h
- usb_2_memory() : ctrl_access.c , ctrl_access.h
- Usb_ack_all_device_interrupt : usb_drv.h
- Usb_ack_all_general_interrupt : usb_drv.h
- Usb_ack_all_otg_interrupt : usb_drv.h
- Usb_ack_bconnection_error_interrupt : usb_drv.h
- Usb_ack_cache_bconnection_error : usb_drv.h
- Usb_ack_cache_id_transition : usb_drv.h
- Usb_ack_cache_vbus_transition : usb_drv.h
- Usb_ack_control_out : usb_drv.h
- Usb_ack_event : usb_task.h
- Usb_ack_fifocon : usb_drv.h
- Usb_ack_hnp_error_interrupt : usb_drv.h
- Usb_ack_id_transition : usb_drv.h
- Usb_ack_in_ready : usb_drv.h
- Usb_ack_nak_in : usb_drv.h
- Usb_ack_nak_out : usb_drv.h
- Usb_ack_overflow_interrupt : usb_drv.h
- Usb_ack_receive_out : usb_drv.h
- Usb_ack_receive_setup : usb_drv.h
- Usb_ack_remote_wake_up_start : usb_drv.h
- Usb_ack_reset : usb_drv.h
- Usb_ack_resume : usb_drv.h
- Usb_ack_role_exchange_interrupt : usb_drv.h
- Usb_ack_sof : usb_drv.h
- Usb_ack_srp_interrupt : usb_drv.h
- Usb_ack_stalled : usb_drv.h
- Usb_ack_suspend : usb_drv.h
- Usb_ack_suspend_time_out_interrupt : usb_drv.h
- Usb_ack_underflow_interrupt : usb_drv.h
- Usb_ack_vbus_error_interrupt : usb_drv.h
- Usb_ack_vbus_transition : usb_drv.h
- Usb_ack_wake_up : usb_drv.h
- Usb_ack_zlp : usb_drv.h
- Usb_allocate_memory : usb_drv.h
- Usb_attach : usb_drv.h
- Usb_build_ep_config0 : usb_drv.h
- Usb_build_ep_config1 : usb_drv.h
- Usb_byte_counter : usb_drv.h
- Usb_byte_counter_8 : usb_drv.h
- Usb_clear_all_event : usb_task.h
- usb_clear_feature() : usb_standard_request.c
- usb_conf_desc : usb_descriptors.c , usb_specific_request.h
- USB_CONFIG_ATTRIBUTES_REMOTEWAKEUP : usb_commun.h
- USB_CONFIG_ATTRIBUTES_RESERVED : usb_commun.h
- USB_CONFIG_ATTRIBUTES_SELFPOWERED : usb_commun.h
- USB_CONFIG_BUSPOWERED : usb_commun.h
- usb_config_ep() : usb_drv.c , usb_drv.h
- USB_CONFIG_REMOTEWAKEUP : usb_commun.h
- USB_CONFIG_SELFPOWERED : usb_commun.h
- usb_configuration_nb : usb_device_task.c , usb_standard_request.c , usb_standard_request.h , usb_task.c
- Usb_configure_address : usb_drv.h
- usb_configure_endpoint : usb_drv.h
- Usb_configure_endpoint_bank : usb_drv.h
- Usb_configure_endpoint_direction : usb_drv.h
- Usb_configure_endpoint_size : usb_drv.h
- Usb_configure_endpoint_type : usb_drv.h
- usb_connected : usb_device_task.c , usb_task.c
- Usb_control_direction : usb_drv.h
- Usb_current_bank : usb_drv.h
- Usb_data_toggle : usb_drv.h
- Usb_detach : usb_drv.h
- usb_dev_desc : usb_descriptors.c , usb_specific_request.h
- USB_DEVICE_FEATURE : conf_usb.h
- Usb_device_initiate_hnp : usb_drv.h
- Usb_device_initiate_srp : usb_drv.h
- USB_DEVICE_SN_USE : conf_usb.h
- USB_DEVICE_STATUS_BATTERYPOWERED : usb_commun.h
- USB_DEVICE_STATUS_BUS_POWERED : usb_commun.h
- USB_DEVICE_STATUS_REMOTEWAKEUP : usb_commun.h
- USB_DEVICE_STATUS_SELF_POWERED : usb_commun.h
- Usb_device_stop_hnp : usb_drv.h
- usb_device_task() : usb_device_task.c , usb_device_task.h
- usb_device_task_init() : usb_device_task.c , usb_device_task.h
- Usb_disable : usb_drv.h
- Usb_disable_address : usb_drv.h
- Usb_disable_bconnection_error_interrupt : usb_drv.h
- Usb_disable_endpoint : usb_drv.h
- Usb_disable_flow_error_interrupt : usb_drv.h
- Usb_disable_hnp_error_interrupt : usb_drv.h
- Usb_disable_id_interrupt : usb_drv.h
- Usb_disable_in_ready_interrupt : usb_drv.h
- Usb_disable_manual_vbus : usb_drv.h
- Usb_disable_nak_in_interrupt : usb_drv.h
- Usb_disable_nak_out_interrupt : usb_drv.h
- Usb_disable_receive_out_interrupt : usb_drv.h
- Usb_disable_receive_setup_interrupt : usb_drv.h
- Usb_disable_regulator : usb_drv.h
- Usb_disable_remote_wake_up_interrupt : usb_drv.h
- Usb_disable_reset_interrupt : usb_drv.h
- Usb_disable_resume_interrupt : usb_drv.h
- Usb_disable_role_exchange_interrupt : usb_drv.h
- Usb_disable_sof_interrupt : usb_drv.h
- Usb_disable_srp_interrupt : usb_drv.h
- Usb_disable_stall_handshake : usb_drv.h
- Usb_disable_stalled_interrupt : usb_drv.h
- Usb_disable_suspend_interrupt : usb_drv.h
- Usb_disable_suspend_time_out_interrupt : usb_drv.h
- Usb_disable_uid_pin : usb_drv.h
- Usb_disable_uvcon_pin : usb_drv.h
- Usb_disable_vbus : usb_drv.h
- Usb_disable_vbus_error_interrupt : usb_drv.h
- Usb_disable_vbus_hw_control : usb_drv.h
- Usb_disable_vbus_interrupt : usb_drv.h
- Usb_disable_vbus_pad : usb_drv.h
- Usb_disable_wake_up_interrupt : usb_drv.h
- Usb_enable : usb_drv.h
- Usb_enable_address : usb_drv.h
- Usb_enable_bconnection_error_interrupt : usb_drv.h
- Usb_enable_endpoint : usb_drv.h
- Usb_enable_flow_error_interrupt : usb_drv.h
- Usb_enable_hnp_error_interrupt : usb_drv.h
- Usb_enable_id_interrupt : usb_drv.h
- Usb_enable_in_ready_interrupt : usb_drv.h
- Usb_enable_manual_vbus : usb_drv.h
- Usb_enable_nak_in_interrupt : usb_drv.h
- Usb_enable_nak_out_interrupt : usb_drv.h
- Usb_enable_receive_out_interrupt : usb_drv.h
- Usb_enable_receive_setup_interrupt : usb_drv.h
- Usb_enable_regulator : usb_drv.h
- Usb_enable_remote_wake_up_interrupt : usb_drv.h
- Usb_enable_reset_interrupt : usb_drv.h
- Usb_enable_resume_interrupt : usb_drv.h
- Usb_enable_role_exchange_interrupt : usb_drv.h
- Usb_enable_sof_interrupt : usb_drv.h
- Usb_enable_srp_interrupt : usb_drv.h
- Usb_enable_stall_handshake : usb_drv.h
- Usb_enable_stalled_interrupt : usb_drv.h
- Usb_enable_suspend_interrupt : usb_drv.h
- Usb_enable_suspend_time_out_interrupt : usb_drv.h
- Usb_enable_uid_pin : usb_drv.h
- Usb_enable_uvcon_pin : usb_drv.h
- Usb_enable_vbus : usb_drv.h
- Usb_enable_vbus_error_interrupt : usb_drv.h
- Usb_enable_vbus_hw_control : usb_drv.h
- Usb_enable_vbus_interrupt : usb_drv.h
- Usb_enable_vbus_pad : usb_drv.h
- Usb_enable_wake_up_interrupt : usb_drv.h
- USB_ENDPOINT_BULK : usb_commun.h
- USB_ENDPOINT_DIR_MASK : usb_commun.h
- USB_ENDPOINT_IN : usb_commun.h
- USB_ENDPOINT_INTERRUPT : usb_commun.h
- USB_ENDPOINT_NUM_MASK : usb_commun.h
- USB_ENDPOINT_OUT : usb_commun.h
- Usb_engine_disable : usb_drv.h
- Usb_engine_enable : usb_drv.h
- Usb_enter_dpram_mode : usb_drv.h
- Usb_exit_dpram_mode : usb_drv.h
- Usb_force_device_mode : usb_drv.h
- Usb_force_host_mode : usb_drv.h
- Usb_frame_number : usb_drv.h
- Usb_free_out_bank : usb_drv.h
- Usb_freeze_clock : usb_drv.h
- Usb_full_speed_mode : usb_drv.h
- usb_general_interrupt() : usb_task.c
- usb_generate_remote_wakeup() : usb_standard_request.c , usb_standard_request.h
- Usb_get_conf_desc_length : usb_descriptors.h
- Usb_get_conf_desc_pointer : usb_descriptors.h
- usb_get_configuration() : usb_standard_request.c
- usb_get_descriptor() : usb_standard_request.c
- Usb_get_dev_desc_length : usb_descriptors.h
- Usb_get_dev_desc_pointer : usb_descriptors.h
- Usb_get_device_interrupt : usb_drv.h
- Usb_get_general_interrupt : usb_drv.h
- usb_get_interface() : usb_standard_request.c
- usb_get_nb_byte_epw() : usb_drv.h
- usb_get_nb_pipe_interrupt() : usb_drv.c , usb_drv.h
- Usb_get_otg_interrupt : usb_drv.h
- Usb_get_selected_endpoint : usb_drv.h
- usb_get_status() : usb_standard_request.c
- usb_halt_endpoint() : usb_drv.c , usb_drv.h
- usb_hid_get_idle() : usb_specific_request.c
- usb_hid_report_descriptor : usb_descriptors.c , usb_specific_request.c
- usb_hid_report_descriptor_mouse : usb_descriptors.c , usb_specific_request.c
- usb_hid_set_idle() : usb_specific_request.c
- usb_hid_set_report_feature() : usb_specific_request.c
- usb_hid_set_report_ouput() : usb_specific_request.c
- Usb_host_accept_hnp : usb_drv.h
- USB_HOST_FEATURE : conf_usb.h
- USB_HOST_PIPE_INTERRUPT_TRANSFER : conf_usb.h
- Usb_host_reject_hnp : usb_drv.h
- usb_host_task() : usb_host_task.h , usb_host_task.c
- usb_host_task_init() : usb_host_task.c , usb_host_task.h
- USB_HUB_SUPPORT : conf_usb.h
- Usb_id_transition_action : conf_usb.h , usb_host_task.c
- usb_init_device() : usb_drv.c , usb_drv.h
- Usb_initiate_remote_wake_up : usb_drv.h
- Usb_interrupt_flags : usb_drv.h
- Usb_kill_last_in_bank : usb_drv.h
- Usb_low_speed_mode : usb_drv.h
- usb_LUN : storage_task.c , scsi_decoder.c
- USB_MANUFACTURER_NAME : usb_descriptors.h
- usb_mass_storage_cbw() : storage_task.c
- usb_mass_storage_csw() : storage_task.c
- USB_MAX_DMS_NUMBER : host_mem.c
- USB_MAX_HUB_NUMBER : conf_usb.h
- USB_MAX_LUN_PER_DMS : host_mem.c
- USB_MN_LENGTH : usb_descriptors.h
- USB_MODE_DEVICE : usb_task.h
- USB_MODE_HOST : usb_task.h
- USB_MODE_UNDEFINED : usb_task.h
- Usb_nb_busy_bank : usb_drv.h
- usb_pipe_interrupt() : usb_host_task.c
- USB_PN_LENGTH : usb_descriptors.h
- usb_process_request() : usb_standard_request.c , usb_standard_request.h
- USB_PRODUCT_NAME : usb_descriptors.h
- Usb_read_byte : usb_drv.h
- Usb_read_dpram_byte : usb_drv.h
- usb_read_packet() : usb_drv.h , usb_drv.c
- USB_REMOTE_WAKEUP : usb_standard_request.h
- USB_REMOTE_WAKEUP_FEATURE : conf_usb.h
- usb_request : usb_host_enum.c , usb_host_enum.h , usb_host_task.c
- Usb_reset_action : conf_usb.h
- Usb_reset_data_toggle : usb_drv.h
- usb_reset_endpoint() : usb_drv.h
- Usb_reset_endpoint : usb_drv.h
- Usb_resume_action : conf_usb.h
- Usb_select_data_srp_method : usb_drv.h
- Usb_select_device : usb_drv.h
- Usb_select_endpoint : usb_drv.h
- usb_select_enpoint_interrupt() : usb_drv.c , usb_drv.h
- Usb_select_epnum_for_cpu : usb_drv.h
- Usb_select_host : usb_drv.h
- Usb_select_vbus_srp_method : usb_drv.h
- Usb_send_control_in : usb_drv.h
- Usb_send_event : usb_task.h
- Usb_send_in : usb_drv.h
- usb_send_packet() : usb_drv.c , usb_drv.h
- USB_SERIAL_NUMBER : usb_descriptors.h
- usb_set_address() : usb_standard_request.c
- usb_set_configuration() : usb_standard_request.c
- Usb_set_configuration_action : conf_usb.h
- Usb_set_dpram_address : usb_drv.h
- usb_set_feature() : usb_standard_request.c
- usb_set_interface() : usb_standard_request.c
- Usb_set_ms_data_direction_in : storage_task.h
- Usb_set_ms_data_direction_out : storage_task.h
- USB_SETUP_DIR_DEVICE_TO_HOST : usb_commun.h
- USB_SETUP_DIR_HOST_TO_DEVICE : usb_commun.h
- USB_SETUP_GET_CLASS_DEVICE : usb_commun.h
- USB_SETUP_GET_CLASS_ENDPOINT : usb_commun.h
- USB_SETUP_GET_CLASS_INTER : usb_commun.h
- USB_SETUP_GET_CLASS_OTHER : usb_commun.h
- USB_SETUP_GET_STAND_DEVICE : usb_commun.h
- USB_SETUP_GET_STAND_ENDPOINT : usb_commun.h
- USB_SETUP_GET_STAND_INTERFACE : usb_commun.h
- USB_SETUP_GET_VENDOR_DEVICE : usb_commun.h
- USB_SETUP_RECIPIENT_DEVICE : usb_commun.h
- USB_SETUP_RECIPIENT_ENDPOINT : usb_commun.h
- USB_SETUP_RECIPIENT_INTERFACE : usb_commun.h
- USB_SETUP_RECIPIENT_OTHER : usb_commun.h
- USB_SETUP_SET_CLASS_DEVICE : usb_commun.h
- USB_SETUP_SET_CLASS_ENDPOINT : usb_commun.h
- USB_SETUP_SET_CLASS_INTER : usb_commun.h
- USB_SETUP_SET_CLASS_OTHER : usb_commun.h
- USB_SETUP_SET_STAND_DEVICE : usb_commun.h
- USB_SETUP_SET_STAND_ENDPOINT : usb_commun.h
- USB_SETUP_SET_STAND_INTERFACE : usb_commun.h
- USB_SETUP_SET_VENDOR_DEVICE : usb_commun.h
- USB_SETUP_TYPE_CLASS : usb_commun.h
- USB_SETUP_TYPE_STANDARD : usb_commun.h
- USB_SETUP_TYPE_VENDOR : usb_commun.h
- USB_SN_LENGTH : usb_descriptors.h
- Usb_sof_action : conf_usb.h
- USB_SPECIFICATION : usb_descriptors.h
- usb_start_device() : usb_device_task.h , usb_device_task.c
- USB_SUPPORT_MS_SECTOR_WR_MAX : host_mem.c
- Usb_suspend_action : conf_usb.h
- usb_suspended : usb_device_task.h , usb_device_task.c
- usb_task() : usb_task.h , usb_task.c
- usb_task_init() : usb_task.h , usb_task.c
- usb_tree : usb_host_enum.h , usb_host_enum.c
- Usb_unallocate_memory : usb_drv.h
- Usb_unfreeze_clock : usb_drv.h
- Usb_unicode : conf_usb.h
- usb_user_endpoint_init() : usb_specific_request.c , usb_specific_request.h
- usb_user_get_descriptor() : usb_specific_request.c , usb_specific_request.h
- usb_user_interface_get() : usb_specific_request.c , usb_specific_request.h
- usb_user_interface_reset() : usb_specific_request.c , usb_specific_request.h
- usb_user_language_id : usb_descriptors.c , usb_specific_request.h
- usb_user_manufacturer_string_descriptor : usb_specific_request.h , usb_descriptors.c
- usb_user_product_string_descriptor : usb_descriptors.c , usb_specific_request.h
- usb_user_read_request() : usb_specific_request.c , usb_specific_request.h
- usb_user_serial_number : usb_descriptors.c , usb_specific_request.h
- Usb_vbus_off_action : conf_usb.h
- Usb_vbus_on_action : conf_usb.h
- Usb_wake_up_action : conf_usb.h
- Usb_write_byte : usb_drv.h
- Usb_write_dpram_byte : usb_drv.h
- Usb_write_PGM_byte : usb_standard_request.c
- Usb_write_word_enum_struc : usb_drv.h
- USE_ADC : config.h
- USE_DEVICE_SN_UNIQUE : conf_usb.h
- USE_TIMER16 : config.h
- USE_UART2 : config.h
- USE_USB_PADS_REGULATOR : conf_usb.h
- User_configure_endpoint : conf_usb.h
- user_periodic_pipe : usb_host_enum.c , usb_host_enum.h
- user_periodic_pipe_device_index : usb_host_enum.c
- user_periodic_pipe_freeze_state : usb_host_enum.c
- USER_RQST_DISCONNECT : usb_task.h
- USER_RQST_HNP : usb_task.h
- USER_RQST_RESET : usb_task.h
- USER_RQST_RESUME : usb_task.h
- USER_RQST_SRP : usb_task.h
- USER_RQST_SUSPEND : usb_task.h
- USER_RQST_VBUS : usb_task.h
- ushell_clean_cmd_line() : ushell_task.c
- ushell_cmd_append_file() : ushell_task.c
- ushell_cmd_cat() : ushell_task.c
- ushell_cmd_cd() : ushell_task.c
- ushell_cmd_copy() : ushell_task.c
- ushell_cmd_decode() : ushell_task.c
- ushell_cmd_format() : ushell_task.c
- ushell_cmd_free_space() : ushell_task.c
- ushell_cmd_gotoparent() : ushell_task.c
- ushell_cmd_help() : ushell_task.c
- ushell_cmd_ls() : ushell_task.c
- ushell_cmd_mkdir() : ushell_task.c
- ushell_cmd_mount() : ushell_task.c
- ushell_cmd_nb_drive() : ushell_task.c
- ushell_cmd_perform() : ushell_task.c
- ushell_cmd_perform_access() : ushell_task.c
- ushell_cmd_perform_alloc() : ushell_task.c
- ushell_cmd_perform_extaccess() : ushell_task.c
- ushell_cmd_perform_transfer() : ushell_task.c
- ushell_cmd_reboot() : ushell_task.c
- ushell_cmd_rename() : ushell_task.c
- ushell_cmd_rm() : ushell_task.c
- ushell_cmd_scan() : ushell_task.c
- ushell_cmd_space() : ushell_task.c
- ushell_cmd_sync() : ushell_task.c
- ushell_cmd_touch() : ushell_task.c
- ushell_cmddfu_erase() : ushell_task.c
- ushell_cmddfu_load() : ushell_task.c
- ushell_cmddfu_start() : ushell_task.c
- ushell_cmdhid_enter_dfu() : ushell_task.c
- ushell_cmdhid_getinfo() : ushell_task.c
- ushell_cmdusb_force_enum() : ushell_task.c
- ushell_cmdusb_ls() : ushell_task.c
- ushell_cmdusb_resume() : ushell_task.c
- ushell_cmdusb_suspend() : ushell_task.c
- USHELL_DFU : config.h , ushell_task.c
- ushell_get_char : ushell_task.c
- USHELL_HID : config.h , ushell_task.c
- USHELL_HISTORY : config.h , ushell_task.c
- ushell_history_display() : ushell_task.c
- ushell_history_down() : ushell_task.c
- ushell_history_up() : ushell_task.c
- USHELL_MAX_NB_ARG : ushell_task.c
- ushell_more_wait() : ushell_task.c
- USHELL_NB_LINE : config.h , ushell_task.c
- ushell_path_valid_syntac() : ushell_task.c
- ushell_putchar : ushell_task.c
- USHELL_RF : ushell_task.c
- USHELL_SIZE_CMD_LINE : ushell_task.c , config.h
- USHELL_SIZE_OF_EXT_BUFFER_TO_PERF_CMD : config.h
- ushell_task() : ushell_task.c , ushell_task.h
- ushell_task_init() : ushell_task.c , ushell_task.h
- ushell_test_hit : ushell_task.c
- ushell_trace_msg() : config.h
- USHELL_USB : config.h , ushell_task.c